from zett.cli import create_argument_parser


def main() -> int:
    parser = create_argument_parser()
    arguments = parser.parse_args()

    try:
        return arguments.func(arguments)
    except AttributeError as e:
        print(e)
        parser.print_help()
        return 1
